<!DOCTYPE html>
<html>
<head>
	<title>Java script</title>
	<style>
		#element1 {
			display: inline-block;
			width: 100px;
			height: 100px;
			background-color: red;
		}
		#element2 {
			display: inline-block;
			width: 100px;
			height: 100px;
			background-color: blue;
		}
		#id1 {
			display: inline-block;
			width: 100px;
			height: 100px;
			background-color: green;
		}
		#id2 {
			display: inline-block;
			width: 100px;
			height: 100px;
			background-color: yellow;
		}


	</style>
</head>
<body>
	<script src="text.js"></script>

	<h1>First Task</h1>


    First Number
    <input type="text" id="1num">
    Second Number
    <input type='text' id="2num">

    <button onclick="divide()">Divide</button>
    <button onclick="percentage()">Percentage</button>
    <button onclick="multiply()">Multiply</button>

    <p id="ans"></p>

    <br>



    <h1>Second Task</h1>
    <hr>

    <input type="checkbox" id="check">
    <button onclick="clickme()"> Click</button> 
    <br><br>


    <h1>Third Task</h1>
    <hr> 

	  <div id="element1">
	  </div>
	  <div id="element2">
	  </div>

	  <br>

	  <div id="id1">
	  </div>
	  <div id="id2">
	  </div>










<script>
	document.getElementById("element1").addEventListener("mouseover", function() {
		document.getElementById("element1").style.backgroundColor = "black";
});
    
document.getElementById("element1").addEventListener("mouseout", function() {
	document.getElementById("element1").style.backgroundColor = "red";
});



document.getElementById("element2").addEventListener("mouseover", function() {
	document.getElementById("element2").style.backgroundColor = "gray";
});
    
document.getElementById("element2").addEventListener("mouseout", function() {
	document.getElementById("element2").style.backgroundColor = "blue";
});



document.getElementById("id1").addEventListener("mouseover", function() {
	document.getElementById("id1").style.backgroundColor = "purple";
});
    
document.getElementById("id1").addEventListener("mouseout", function() {
	document.getElementById("id1").style.backgroundColor = "green";
});



document.getElementById("id2").addEventListener("mouseover", function() {
	document.getElementById("id2").style.backgroundColor = "brown";
});
    
document.getElementById("id2").addEventListener("mouseout", function() {
	document.getElementById("id2").style.backgroundColor = "yellow";
});



</script>





</body>
</html>